Db::get_h_nelem()
Prev | Chapter 2. The Db Handle | Next

## Db::get_h_nelem()

    #include <db_cxx.h>

    int
    Db::get_h_nelem(u_int32_t *h_nelemp);

The `Db::get_h_nelem()` method returns the estimate of the final size of the hash table as set by the Db::set_h_nelem() method.

The `Db::get_h_nelem()` method may be called at any time during the life of the application.

The `Db::get_h_nelem()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### h_nelemp

The `Db::get_h_nelem()` method returns the estimate of the final size of the hash table in h_nelemp.

### Class

Db

### See Also

Database and Related Methods, Db::set_h_nelem()

Prev | Up | Next
Db::get_h_ffactor() | Home | Db::get_lorder()